Subject: Re: bug#24291: 25.1; display-time-world seems to ignore zoneinfo-style-world-list when display-time-mode is t

From: [email-masked] (N. Jackson)
Date: Tue, 23 Aug 2016 16:39:21 -0300

At 17:43 +0300 on Tuesday 2016-08-23, Eli Zaretskii wrote:

>> From: [email-masked] (N. Jackson)
>> Date: Tue, 23 Aug 2016 08:50:53 -0300
>> 
>> 0. emacs -Q
>> 
>> 1. Enter the following elisp in *scratch*:
>> 
>>   (custom-set-variables
>>    '(display-time-mode t)
>>    '(zoneinfo-style-world-list
>>      (quote
>>       (("Etc/UTC" "Universal Time")
>>        ("AST4ADT" "Atlantic Time")
>>        ("EST5EDT" "Eastern Time")
>>        ("Europe/London" "London")
>>        ("Asia/Tokyo" "Tokyo")))))
>> 
>> 2. `C-x C-e' (eval-last-sexp) to run it
>> 
>> 3. `M-x display-time-world'
>> 
>> Observed result:
>> 
>>   Seattle   Tuesday 23 August 04:22 PDT
>>   New York  Tuesday 23 August 07:22 EDT
>>   London    Tuesday 23 August 12:22 BST
>>   Paris     Tuesday 23 August 13:22 CEST
>>   Bangalore Tuesday 23 August 16:52 IST
>>   Tokyo     Tuesday 23 August 20:22 JST
>> 
>> Expected result:
>> 
>>   Universal Time Tuesday 23 August 11:24 UTC
>>   Atlantic Time  Tuesday 23 August 08:24 ADT
>>   Eastern Time   Tuesday 23 August 07:24 EDT
>>   London         Tuesday 23 August 12:24 BST
>>   Tokyo          Tuesday 23 August 20:24 JST
>
> You need to set zoneinfo-style-world-list before time.el is loaded.

I see. Then maybe showing he problem from `emacs -Q' requires a more
carefully-crafted example.

But this doesn't work when I run Emacs normally, and in that case I'm
not doing anything unusual. I don't know when time.el is loaded with
respect to when my init file is run. But even if I comment out my entire
init file except for this snippet, this problem occurs.

I can't change the order because Customize puts its variables in
alphabetical order.

N.